Subject: Re: [PATCH 1/6] PKT_SCHED: Extended Matches API

From: Patrick McHardy <[email-masked]>
Date: Mon, 24 Jan 2005 01:56:46 +0100

Thomas Graf wrote:

>* Patrick McHardy <[email-masked]> 2005-01-24 01:12
>  
>
>>gcc assumes likely for ptr != NULL by default. Is there a reason why a match
>>wouldn't have a match function ?
>>
>
>There is no reason but ematches might get written by unexperienced people
>forgeting to register it. I know, the if partly hides the failure, it's
>one of theses case where I have the same arguments for both ways.
>
I don't care much, but I guess people forgetting to add a match
function to an ematch will find other ways to do stupid things :)
How about catching it in tcf_em_register ?

Regards
Patrick